Problems compiling against JDK 1.5.0

Hello,

I use IDEA 3.0.5 and I get an error (The compiler did not terminate normally. Exit code is 1) when I try to compile a program using JDK 1.5.0. The program compiles when I compile it with javac from the JDK. Is there a built-in compiler in IDEA (I always thought that IDEA just uses the compiler of the target JDK) or what else could be the problem?

Regards

1 comment

Most likely this idea version gives some parameters to javac 1.5 that confuse it.
IDEA 4.5 should behave better with JDK 1.5

--
Best regards,
Eugene Zhuravlev
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

"Guest" <no_mail@jetbrains.com> wrote in message news:32429338.1096547168709.JavaMail.itn@is.intellij.net...

Hello,

>

I use IDEA 3.0.5 and I get an error (The compiler did not terminate normally. Exit code is 1) when I try to compile a program
using JDK 1.5.0. The program compiles when I compile it with javac from the JDK. Is there a built-in compiler in IDEA (I always
thought that IDEA just uses the compiler of the target JDK) or what else could be the problem?

>

Regards



0

Please sign in to leave a comment.